@import url('https://fonts.googleapis.com/css2?family=Climate+Crisis&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root {

    --red-500: #E32002;
    --black: #15141A;
    --gray: #52545C;

    --white: #fff;
    --black-pure: #000;

    /* GAPS */
    --gap-huge: 96px;
    --gap-xlarge: 48px;
    --gap-large: 32px;
    --gap: 24px;
    --gap-medium: 16px;
    --gap-small: 8px;

    --max-width: 1280px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 16px;
    font-family: 'Montserrat', sans-serif;
    scroll-behavior: smooth;
    height: 100%;
    overflow-x: hidden
}

img {
    width: 100%;
    object-fit: cover;
}

img.rounded {
    overflow: hidden;
    border-radius: 24px;
}

/* Structure */

section {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: var(--gap-huge) 0;
    gap: var(--gap-xlarge);
}

.container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    max-width: var(--max-width);
    width: 100%;
    gap: var(--gap-xlarge);
    padding: 0 var(--gap);
}

.column {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: var(--gap);
    width: 100%;
}

.column.ha-center {
    align-items: center;
    text-align: center;
}

.card-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: var(--gap);
}

.card {
    border: 1px solid var(--gray);
    padding: var(--gap-medium);
    border-radius: var(--gap-small);
    min-width: 288px;
    max-width: 320px;
    text-align: center;
}

footer {
    background-color: var(--black);
    color: var(--white);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

footer a {
    color: var(--white);
}

footer .bottom-line {
    background-color: #000;
    width: 100%;
    padding: var(--gap);
}

footer .bottom-line a {
    color: var(--gray);
    text-decoration: none;
    font-size: 12px;
}

/* Buttons */
.btn {
    outline: none;
    border: none;
    cursor: pointer;
    border-radius: 8px;
    height: 40px;
    font-weight: 500;
    width: fit-content;
    padding: 4px 16px;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10;
}

.btn.red {
    background-color: var(--red-500);
    color: var(--white);
}

.btn.white {
    background-color: var(--white);
    color: var(--black);
}

/* Typography */

h1 {
    font-size: 3.815rem;
    font-weight: 900;
    line-height: 1;
}

h2 {
    font-size: 3.052rem;
    font-weight: 900;
}

h3 {
    font-size: 2.441rem;
    font-weight: 900;
}

h4 {
    font-size: 1.953rem;
    font-weight: 900;
}

h5 {
    font-size: 1.563rem;
    font-weight: 900;
}

h6 {
    font-size: 1.25rem;
    font-weight: 900;
}

p {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.75;
}

h1 span,
h2 span,
h3 span {
    font-size: 1.2rem;
    display: block;
}

.fw-medium {
    font-weight: 500;
}

.fw-light {
    font-weight: 300;
}

.fc-black {
    color: var(--black);
}

.fc-white {
    color: var(--white);
}

.fc-red {
    color: var(--red-500);
}

/* Colors */

section.dark {
    background-color: var(--black);
    color: var(--white);
}

section.gray {
    background-color: var(--gray);
    color: var(--white);
}

section.red {
    background: linear-gradient(90deg, #500 0%, var(--red-500) 100%);
    color: var(--white);
}

/* Custom Objects */



.cta-red {
    background: linear-gradient(90deg, #500 0%, var(--red-500) 100%);
    padding: var(--gap-xlarge) 0;
}

.cta-red .column {
    gap: 8px;
}

.cta-red .column:nth-child(2) {
    width: fit-content;
}

#hero-section {
    position: relative;
    overflow: hidden;
}

#hero-section h1 {
    font-size: 6rem;
}

#hero-section .container {
    position: relative;
    z-index: 3;
}

#hero-section #composition {
    position: relative
}

#hero-section #composition .destak {
    position: relative;
    z-index: 2;
    max-height: 640px;
    object-fit: cover;
    margin: -102px 0;
}

#hero-section #composition .float01 {
    position: absolute;
    top: 50%;
    left: 10%;
    transform: translate(-50%, -50%) scale(0.8);
    z-index: 1;
}

#hero-section #composition .float02 {
    position: absolute;
    top: 50%;
    left: 75%;
    transform: translate(-50%, -50%) scale(0.8);
    ;
    z-index: 1;
}

#type-capoeira {
    width: 100%;
    position: absolute;
    z-index: 1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#cta-class {
    position: relative;
    overflow: hidden;
}

#cta-class .container {
    position: relative;
    z-index: 2;
    height: 100%;
    align-items: stretch;
}

/* #cta-class img{
    position: absolute;
    z-index: 1;
    right: 0;
    max-width: 60%;
    height: 100%;
    object-fit: cover;
} */

#cta-class .column{
    height: auto;
    min-height: 100%;
    flex: 1;
}
#pinga-fogo-004{
    position: relative;
    height: 100%;
    min-height: 460px;
    width: 100%;
}

#pinga-fogo-004 img {
    position: absolute;
    z-index: 1;
    object-fit: contain;
    width: 100%;
    height: calc(100% + 96px);
    bottom: -96px;
    object-position: bottom;
}

#pinga-fogo-004:before{
    content: '';
    display: block;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background-color: #E32002;
    position: absolute;
    top: 50%;
    left: 55%;
    transform: translate(-50%, -50%);
    filter: blur(1000px);
}

#why-practice,
#videos {
    position: relative;
}

#why-practice .container,
#videos .container {
    position: relative;
    z-index: 2;
}

img.lettering-top {
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    opacity: 0.5;
}

.calendar {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 12px;
}

.calendar .column {
    align-items: center;
    justify-content: flex-start;
    /* Adicione padding ou margins se necessário */
}

.calendar .card {
    border-color: #ccc;
    background-color: #FFF;
}

.calendar .card:hover {
    border-color: #E32002;
    outline: solid 3px #E3200233;
}

/* Media query para mobile (ajuste o breakpoint conforme necessário, ex: 768px para tablets/mobile) */
@media (max-width: 768px) {
    .calendar {
        flex-direction: column;
    }

    .calendar .column {
        padding-bottom: 24px;
        border-bottom: 1px solid #52545C;
    }

    .calendar .column h5 {
        color: #E32002;
    }
}

/***    
* MEDIA QUERIES ***/

@media (max-width: 912px) {
    #hero-section h1 {
        font-size: 5rem;
    }
}

@media (max-width: 768px) {
    .container {
        flex-direction: column;
        align-items: center;
    }

    .column {
        text-align: center;
        justify-content: center;
        align-items: center;
    }

    #hero-section h1 {
        font-size: 4rem;
    }

    #hero-section #composition .destak {
        transform: translateX(10%);
    }

    #cta-class {
        /* padding-bottom: 480px; */
    }

    /* #cta-class img {
        max-width: 100%;
        height: 480px;
        object-fit: cover;
        bottom: 0;
    } */
     
    #pinga-fogo-004 img {
        position: relative;
        bottom: 0;
        object-fit: cover;
        width: calc(100% + 24px);
    }

    h2 {
        font-size: 2.4rem;
    }
}